org.bdgenomics.adam.cli

# CalculateDepth

###
Related Docs: class CalculateDepth | package cli

#### object CalculateDepth extends BDGCommandCompanion

CalculateDepth (accessible as the command 'depth' through the CLI) takes two arguments, an Read file and a VCF (or equivalent) file, and calculates the number of reads (the 'depth') from the Read file which overlap each of the variants given by the VCF. It then reports, on standard out, the location and name of each variant along with the calculated depth.

Linear Supertypes
BDGCommandCompanion, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CalculateDepth
2. BDGCommandCompanion
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(cmdLine: Array[String]): BDGCommand

   Definition Classes
     CalculateDepth → BDGCommandCompanion

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val commandDescription: String

   Definition Classes
     CalculateDepth → BDGCommandCompanion

8. #### val commandName: String

   Definition Classes
     CalculateDepth → BDGCommandCompanion

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def main(cmdLine: Array[String]): Unit

    Definition Classes
      BDGCommandCompanion

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BDGCommandCompanion

### Inherited from AnyRef

### Inherited from Any

### Ungrouped